## trunk?format=zip&rev=1325

=== SConstruct ===
import os
import sys
import distutils.sysconfig
import platform
import SCons

moduledir = distutils.sysconfig.get_python_lib()
if  platform.architecture()[0] == '64bit':
    # hack to install into /usr/lib64 if scons is in the 32bit /usr/lib/
    if moduledir.startswith("/usr/lib/"):
        moduledir = moduledir.replace("lib", "lib64")

opts = Options("userconfig.py")
opts.AddOptions(		
                ("FORTRAN", "The fortran compiler", None),
                ("f2clib", "The fortran to c library", None),
                PathOption("prefix",
	        "The root installation path",
                           distutils.sysconfig.PREFIX),
                PathOption("moduledir",
                            "The python module path (site-packages))",
                            moduledir),
		PathOption("casacoreroot", "The location of casacore",
				    "/usr/local"),
		("boostroot", "The root dir where boost is installed", None),
		("boostlib", "The name of the boost python library", 
		 "boost_python"),
		("boostlibdir", "The boost library location", None),
		("boostincdir", "The boost header file location", None),
		("lapackroot", 
		 "The root directory where lapack is installed", None),
		("lapacklibdir", "The lapack library location", None),
		("lapacklib",
		 "The lapack library name (e.g. for specialized AMD libraries",
		 None),
		("blasroot", 
		 "The root directory where blas is installed", None),
		("blaslibdir", "The blas library location", None),
		("blaslib",
		 "The blas library name (e.g. for specialized AMD libraries",
		 None),
		("cfitsioroot", 
		 "The root directory where cfistio is installed", None),
		("cfitsiolibdir", "The cfitsio library location", None),
		("cfitsioincdir", "The cfitsio include location", None),
		("wcsroot", 
		 "The root directory where wcs is installed", None),
		("wcslibdir", "The wcs library location", None),
		("rpfitsroot", 
		 "The root directory where rpfits is installed", None),
		("rpfitslibdir", "The rpfits library location", None),
		
                EnumOption("mode", "The type of build.", "debug",
                           ["release","debug"], ignorecase=1),
                ("makedist",
                 "Make a binary archive giving a suffix, e.g. sarge or fc5",
                 ""),
                EnumOption("makedoc", "Build the userguide in specified format",
                           "none",
                           ["none", "pdf", "html"], ignorecase=1)
                )

env = Environment( toolpath = ['./scons'],
                   tools = ["default", "archiver", "utils",
                            "quietinstall"],
                   ENV = { 'PATH' : os.environ[ 'PATH' ],
                          'HOME' : os.environ[ 'HOME' ] },
                   options = opts)

Help(opts.GenerateHelpText(env))
env.SConsignFile()

casacoretooldir = os.path.join(env["casacoreroot"],"share",
				   "casacore")
if not os.path.exists(casacoretooldir):
    print "Could not find casacore scons tools"
    Exit(1)

# load casacore specific build flags
print casacoretooldir
env.Tool('casa', [casacoretooldir])

if not env.GetOption('clean'):
    conf = Configure(env)
    conf.env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])
    if not conf.CheckHeader("Python.h", language='c'):
        Exit(1)
    pylib = 'python'+distutils.sysconfig.get_python_version()
    if env['PLATFORM'] == "darwin":
        conf.env.Append(FRAMEWORKS=["Python"])
    else:
        if not conf.CheckLib(library=pylib, language='c'): Exit(1)

    conf.env.AppendUnique(LIBPATH=os.path.join(conf.env["casacoreroot"], 
					       "lib"))
    conf.env.AppendUnique(CPPPATH=os.path.join(conf.env["casacoreroot"], 
					       "include", "casacore"))
    print conf.env["CPPPATH"]
#    if not conf.CheckLib("casa_images",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_ms",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_components",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_coordinates",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_lattices",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_fits",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_measures",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_scimath",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_scimath_f",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_tables",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_mirlib",  language='c++'): Exit(1)
    if not conf.CheckLib("casa_casa",  language='c++'): Exit(1)
    conf.env.AddCustomPackage('boost')
    if not conf.CheckLibWithHeader(env["boostlib"], 
                                   'boost/python.hpp', language='c++'): 
        Exit(1)
    # test for cfitsio
    if not conf.CheckLib("m"): Exit(1)
    conf.env.AddCustomPackage('cfitsio')
    if not conf.CheckLibWithHeader('cfitsio', 'fitsio.h', language='c'):
        Exit(1)
    conf.env.AddCustomPackage('wcs')
    if not conf.CheckLibWithHeader('wcs', 'wcslib/wcs.h', language='c'):
        Exit(1)
    conf.env.AddCustomPackage('rpfits')
    if not conf.CheckLib("rpfits"): Exit(1)

    # test for blas/lapack
    blasname = conf.env.get("blaslib", "blas")
    conf.env.AddCustomPackage("blas")
    if not conf.CheckLib(blasname): Exit(1)
    lapackname = conf.env.get("lapacklib", "lapack")
    conf.env.AddCustomPackage("lapack")
    if not conf.CheckLib(lapackname): Exit(1)
    conf.env.CheckFortran(conf)
    if not conf.CheckLib('stdc++', language='c++'): Exit(1)
    env = conf.Finish()

env["version"] = "trunk"

if env['mode'] == 'release':
    env.Append(LINKFLAGS=['-Wl,-O1'])

# Export for SConscript files
Export("env")

# build externals
env.SConscript("external/SConscript")
# build library
so = env.SConscript("src/SConscript", build_dir="build", duplicate=0)
# test module import, to see if there are unresolved symbols
def test_module(target,source,env):
    pth = str(target[0])
    mod = os.path.splitext(pth)[0]
    sys.path.insert(2, os.path.split(mod)[0])
    __import__(os.path.split(mod)[1])
    print "ok"
    return 0
def test_str(target, source, env):
    return "Testing module..."

taction = Action(test_module, test_str)
env.AddPostAction(so, taction)

# install targets
somod = env.Install("$moduledir/asap", so )
pymods = env.Install("$moduledir/asap", env.SGlob("python/*.py"))
bins = env.Install("$prefix/bin", ["bin/asap", "bin/asap_update_data"])
shares = env.Install("$moduledir/asap/data", "share/ipythonrc-asap")
env.Alias('install', [somod, pymods, bins, shares])

# install aips++ data repos
rootdir=None
outdir =  os.path.join(env["moduledir"],'asap','data')
sources = ['ephemerides','geodetic']
if os.path.exists("/nfs/aips++/data"):
    rootdir = "/nfs/aips++/data"
elif os.path.exists("data"):
    rootdir = "./data"
if rootdir is not None:
    ofiles, ifiles = env.WalkDirTree(outdir, rootdir, sources)
    data =  env.InstallAs(ofiles, ifiles)
    env.Alias('install', data)

# make binary distribution
if len(env["makedist"]):
    env["stagedir"] = "asap-%s-%s" % (env["version"], env["makedist"])
    env.Command('Staging distribution for archive in %s' % env["stagedir"],
                '', env.MessageAction)
    st0 = env.QInstall("$stagedir/asap", [so,  env.SGlob("python/*.py")] )
    env.QInstall("$stagedir/bin", ["bin/asap", "bin/asap_update_data"])
    env.QInstall("$stagedir", ["bin/install"])
    env.QInstall("$stagedir/asap/data", "share/ipythonrc-asap")
    if rootdir is not None:
        # This creates a directory Using data table... - disabled
        #env.Command("Using data tables in %s" % rootdir,
        #           '', env.MessageAction)
        outdir =  os.path.join(env["stagedir"],'asap','data')
        ofiles, ifiles = env.WalkDirTree(outdir, rootdir, sources)
        env.QInstallAs(ofiles, ifiles)
    else:
        env.Command("No data tables available. Use 'asap_update_data' after install",
                    '', env.MessageAction)
    arch = env.Archiver(os.path.join("dist",env["stagedir"]),
                        env["stagedir"])
    env.AddPostAction(arch, Delete("$stagedir"))
if env["makedoc"].lower() != "none":
    env.SConscript("doc/SConscript")

if env.GetOption("clean"):
    Execute(Delete(".sconf_temp"))

=== packages/invirt-console-host/debian/changelog ===
invirt-console-host (0.0.5) unstable; urgency=low

  * invirt-console-host doesn't use the database anymore, so don't connect
    to it

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:09:03 -0400

invirt-console-host (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:46:46 -0400

invirt-console-host (0.0.3) unstable; urgency=low

  * make initscript even shorter, with code now provided by sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:07:46 -0400

invirt-console-host (0.0.2) unstable; urgency=low

  * make initscript start conserver on start/restart, not just reload
  * drastically shorten initscript to current Invirt best practice,
    in hopes that such dumb bugs can't hide so easily

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 03:33:32 -0400

invirt-console-host (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt
  * -server -> -host while we're at it

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 01:23:56 -0400

sipb-xen-console-server (2.8) unstable; urgency=low

  * Create a dummy console entry that exists by default so that conserver
    won't quit if no consoles are defined.

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 03:10:28 -0400

sipb-xen-console-server (2.7) unstable; urgency=low

  * Don't run conserver as root; use sudo instead

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 02:38:46 -0400

sipb-xen-console-server (2.06.3) unstable; urgency=low

  * Running conserver as root so it can run xm console

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:42:26 -0400

sipb-xen-console-server (2.06.2) unstable; urgency=low

  * No really - correctly divert conserver.cf

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:39:09 -0400

sipb-xen-console-server (2.06.1) unstable; urgency=low

  * Correctly divert conserver.cf

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:34:25 -0400

sipb-xen-console-server (2.06) unstable; urgency=low

  * generate config files using mako

 -- Yang Zhang <y_z@mit.edu>  Thu, 14 Aug 2008 15:15:18 -0400

sipb-xen-console-server (2.05) unstable; urgency=low

  * use invirt.config rather than /etc/invirt/* directly
  * get console-server hostname, db connection string from config
  * generate conserver config piece needing console-server ip
  * remove console 's_sipb-xen-dev', which doesn't work anyway
  * all configured!

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 18:58:59 -0400

sipb-xen-console-server (2.04) unstable; urgency=low

  * Get Kerberos realm from config rather than hardcoding.
  * Don't hardcode host's hostname in conserver.cf.
  * Update for current config-package-dev.

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 01:32:04 -0400

sipb-xen-console-server (2.03) unstable; urgency=low

  * Multiplex consoles on multiple hosts.

 -- Greg Price <price@mit.edu>  Sun, 13 Jul 2008 08:35:17 -0400

sipb-xen-console-server (2.02) unstable; urgency=low

  * And...xm isn't in the path, so give a full path

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:48:53 -0400

sipb-xen-console-server (2.01) unstable; urgency=low

  * update-conserver script should reload, not restart

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:43:12 -0400

sipb-xen-console-server (2) unstable; urgency=low

  * Use a python based update-conserver script that gets the list of
    consoles from xm list
  * Run the update-conserver script every 5 minutes to catch VMs that
    are not started or stopped through the remctl interface

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:32:58 -0400

sipb-xen-console-server (1.0.2) unstable; urgency=low

  * Also...make this package actually do something

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:41:32 -0400

sipb-xen-console-server (1.0.1) unstable; urgency=low

  * Misnamed a file

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:36:29 -0400

sipb-xen-console-server (1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Wed,  2 Apr 2008 00:27:12 -0400

=== packages/invirt-dev/debian/changelog ===
invirt-dev (0.0.1) unstable; urgency=low

  * sipb-xen-dev -> invirt-dev
  * sx-build-release -> invirt-build-release

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:23:26 -0400

sipb-xen-dev (26.2) unstable; urgency=low

  * remove vacuous README files
  * remove sipb-xen-repository Apache config file,
    which has been in sipb-xen-www, now invirt-web, since May

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:48:33 -0400

sipb-xen-dev (26.1) unstable; urgency=low

  * Fix a typo where the source package didn't get uploaded

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 22:03:40 -0400

sipb-xen-dev (26) unstable; urgency=low

  * Update sx-build-release and reprepro-env to work with sbuild instead
    of dpkg-buildpackage

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 21:56:17 -0400

sipb-xen-dev (25) unstable; urgency=low

  * Don't sign packages when they're built

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:25:52 -0400

sipb-xen-dev (24) unstable; urgency=low

  * depend on quilt, patchutils, config-package-dev

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:00:40 -0400

sipb-xen-dev (23) unstable; urgency=low

  * in postinst, create user repository and group repo
    and add /etc/sudoers line

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:06:04 -0400

sipb-xen-dev (22) unstable; urgency=low

  [ Sam Hartman ]
  * Do not include a key id for dpkg-buildpackage per discussion on class xvm

  [ Greg Price ]
  * depend on equivs

 -- Greg Price <price@mit.edu>  Sun, 24 Aug 2008 15:58:14 -0400

sipb-xen-dev (21) unstable; urgency=low

  * Depend on sipb-xen-base
  * don't require packages be signed on upload

 --  Sam Hartman <hartmans@xvm.mit.edu>  Tue,  5 Aug 2008 21:23:44 +0000

sipb-xen-dev (20) unstable; urgency=low

  * dumb bugfix in init script

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:11:04 -0400

sipb-xen-dev (19) unstable; urgency=low

  * use CDBS, which doesn't forget dh_installinit like I did

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:02:41 -0400

sipb-xen-dev (18) unstable; urgency=low

  * sign the packages, getting keyid from invirt.config

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400

sipb-xen-dev (17) unstable; urgency=low

  * use reprepro more correctly (and include in both stable and unstable)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:47:55 -0400

sipb-xen-dev (16) unstable; urgency=low

  * usage as "sx-build-release <package-name>", no "trunk/packages"
  * clobber the build-release/<package-name> directory automatically

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:12:03 -0400

sipb-xen-dev (15) unstable; urgency=low

  * Stop requiring the current directory to be in the checkout.
  * Don't do unnecessary write operations
    (hence prompt less often for a password.)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 22:45:42 -0400

sipb-xen-dev (14) unstable; urgency=low

  * Use the shallower directory structure.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 17:25:20 -0400

sipb-xen-dev (13) unstable; urgency=low

  * Update the svn uri automatically.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 21:38:37 -0400

sipb-xen-dev (12) unstable; urgency=low

  * Update the svn uri to point to the new repository

 -- Nelson Elhage <nelhage@mit.edu>  Wed, 15 Aug 2007 22:58:49 -0400

sipb-xen-dev (11) unstable; urgency=low

  * Use svn export not co to avoid installing .svn directories

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:15:58 -0400

sipb-xen-dev (10) unstable; urgency=low

  * Use svn export not svn co so we don't get .svn directories installed

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:14:51 -0400

sipb-xen-dev (9) unstable; urgency=low

  * Add /debian to apache config

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:54:43 -0400

sipb-xen-dev (8) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:29:54 -0400

sipb-xen-dev (7) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:27:59 -0400

sipb-xen-dev (6) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:26:17 -0400

sipb-xen-dev (5) unstable; urgency=low

  * Bug fix

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:25:00 -0400

sipb-xen-dev (4) unstable; urgency=low

  * Blah

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:21:28 -0400

sipb-xen-dev (3) unstable; urgency=low

  * Working sx-build-release
  

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 16:58:46 -0400

sipb-xen-dev (2) unstable; urgency=low

  * Add sipb-xen-repository apache config

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 14:04:03 -0400

sipb-xen-dev (1) unstable; urgency=low

  * Add repository config
  * update dependencies

 --  Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 13:43:08 -0400

sipb-xen-dev (0) unstable; urgency=low

  * Initial Release.

 -- unknown <hartmans@debian.org>  Fri,  6 Jul 2007 00:52:28 -0400

=== packages/invirt-host-master/debian/changelog ===
invirt-host-master (0.0.2) unstable; urgency=low

  * remove bitrotten sipb-xen-clvm-config

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:45:28 -0400

invirt-host-master (0.0.1) unstable; urgency=low

  * First version as a real package rather than equivs.
  * Rename from sipb-xen-host-master.

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:05:16 -0400

=== packages/invirt-remote-host/debian/changelog ===
invirt-remote-host (0.0.2) unstable; urgency=low

  * sipb-database -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 18:05:17 -0400

invirt-remote-host (0.0.1) unstable; urgency=low

  * sipb-xen-remctl-auto -> invirt-remote-host

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 21:54:35 -0400

sipb-xen-remctl-auto (1.5.2) unstable; urgency=low

  * sipb-xen-console-server -> invirt-console-host

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 01:43:15 -0400

sipb-xen-remctl-auto (1.5.1) unstable; urgency=low

  * Return the new invalid-command error code in sipb-xen-vmcontrol

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:51:34 -0400

sipb-xen-remctl-auto (1.5) unstable; urgency=low

  * Distinguish between Xen errors and invalid commands by returning a
    completely outlandish error code that's not likely to conflict with
    anything

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:47:50 -0400

sipb-xen-remctl-auto (1.4) unstable; urgency=low

  * Correctly extract the CDROM image from the remctl arguments

 -- Evan Broder <broder@mit.edu>  Sat, 18 Oct 2008 17:19:57 -0400

sipb-xen-remctl-auto (1.3.1) unstable; urgency=low

  * Quote the installer arguments correctly

 -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:47:54 -0400

sipb-xen-remctl-auto (1.3) unstable; urgency=low

  * Respond to remctl install requests by passing the options onto Xen

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 01:57:30 -0400

sipb-xen-remctl-auto (1.2) unstable; urgency=low

  * Exit successfully if inetd is already running; package fails to
    install otherwise

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 05:03:18 -0400

sipb-xen-remctl-auto (1.1) unstable; urgency=low

  * Explicitly lock a volume before deleting it

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 18:01:34 -0400

sipb-xen-remctl-auto (1.0.21) unstable; urgency=low

  * start inetd too in init script

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:43:29 -0400

sipb-xen-remctl-auto (1.0.20) unstable; urgency=low

  * generate config files using mako

 -- Yang Zhang <y_z@mit.edu>  Thu, 14 Aug 2008 15:18:46 -0400

sipb-xen-remctl-auto (1.0.19) unstable; urgency=low

  * simplify the init script a la sipb-xen-dev

 -- Yang Zhang <y_z@mit.edu>  Thu,  7 Aug 2008 22:09:28 -0400

sipb-xen-remctl-auto (1.0.18) unstable; urgency=low

  * use invirt config in sipb-xen-lvm
  * added .init script to generate /etc/remctl/acl/remote
  * sipb_xen_database -> invirt.database

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:46:28 -0400

sipb-xen-remctl-auto (1.0.17) unstable; urgency=low

  * catch another version of the xenstore error in the listvms race

 -- Greg Price <price@mit.edu>  Wed, 23 Jul 2008 01:12:01 -0400

sipb-xen-remctl-auto (1.0.16) unstable; urgency=low

  * support YAML as well as JSON (broder, quentin, andersk, long ago)
  * fix a race in listvms when a machine is shutting down

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 23:46:49 -0400

sipb-xen-remctl-auto (1.0.15) unstable; urgency=low

  * Compute time differences on server to avoid drift

 -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:58:04 -0400

sipb-xen-remctl-auto (1.0.14) unstable; urgency=low

  * Use more efficient python API to get VM information, and return it
    in a Python dict structure.

 -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:29:03 -0400

sipb-xen-remctl-auto (1.0.13) unstable; urgency=low

  * Switch to just using the remote server.

 -- Greg Price <price@mit.edu>  Sat, 10 May 2008 21:26:42 -0400

sipb-xen-remctl-auto (1.0.12) unstable; urgency=low

  * Remove an obsolete line from the remctl config.

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 22:36:07 -0400

sipb-xen-remctl-auto (1.0.11) unstable; urgency=low

  * Close file descriptors for update-conserver on destroy/shutdown.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 21:28:12 -0400

sipb-xen-remctl-auto (1.0.10) unstable; urgency=low

  * Delay running sipb-xen-update-conserver

 -- Evan Broder <broder@mit.edu>  Mon, 21 Apr 2008 20:26:28 -0400

sipb-xen-remctl-auto (1.0.9) unstable; urgency=low

  * Change the way that conserver is updated

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:36:04 -0400

sipb-xen-remctl-auto (1.0.8) unstable; urgency=low

  * Add support for updating conserver when VMs are turned on and off

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 00:40:23 -0400

sipb-xen-remctl-auto (1.0.7) unstable; urgency=low

  * changes for installer system

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun, 28 Oct 2007 22:47:59 -0400

sipb-xen-remctl-auto (1.0.6) unstable; urgency=low

  * get rid of old "vmboot" call
  * make "create" not destroy running machines.

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sat, 27 Oct 2007 16:54:26 -0400

sipb-xen-remctl-auto (1.0.5) unstable; urgency=low

  * move to common /usr/sbin/sipb-xen-* naming
  * get rid of dispatch.sh hack
  * fix "reboot" to "destroy then create" always, since that's what users will expect
  * change remctl calls interface in various ways

 -- Tim Abbott <tabbott@mit.edu>  Tue, 16 Oct 2007 00:28:36 -0400

sipb-xen-remctl-auto (1.0.4) unstable; urgency=low

  * Fix typos.

 -- Anders Kaseorg <andersk@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 04:47:37 -0400

sipb-xen-remctl-auto (1.0.3) unstable; urgency=low

  * Prepend d_ to database VMs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:34:56 -0400

sipb-xen-remctl-auto (1.0.2) unstable; urgency=low

  * Added web interface support code.
  * Move things from /etc/remctl/sipb-xen-auto/bin to /usr/sbin
  * Quoted lots of variables

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun,  7 Oct 2007 17:23:40 -0400

sipb-xen-remctl-auto (1.0.1) unstable; urgency=low

  * Stop scaring me with unquoted variables.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 22:11:02 -0400



=== packages/sipb-xen-base/debian/changelog ===
sipb-xen-base (8.29) unstable; urgency=low

  * gen-files.sh: degrade gracefully to plain-old sh

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 20:06:54 -0400

sipb-xen-base (8.28) unstable; urgency=low

  * Factor out more common initscript code:
    std-init.sh replaces the usual Debian boilerplate

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:33:08 -0400

sipb-xen-base (8.27) unstable; urgency=low

  * Use invoke-rc.d in invirt-reload so that policy-rc.d is respected

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:19:49 -0400

sipb-xen-base (8.26) unstable; urgency=low

  * Move invirt-reload to /usr/sbin

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 12:53:18 -0400

sipb-xen-base (8.25) unstable; urgency=low

  * Factor out common initscript code, provide it here

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:06:59 -0400

sipb-xen-base (8.24) unstable; urgency=low

  * Switch to using a setup.py file with CDBS's Python support

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 05:22:49 -0400

sipb-xen-base (8.23) unstable; urgency=low

  * Now that we're using Python 2.5, we can actually write with statements

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 03:32:00 -0400

sipb-xen-base (8.22) unstable; urgency=low

  * Please - anything but etch. Anything!

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:50:30 -0400

sipb-xen-base (8.21) unstable; urgency=low

  * update sources.list.d/sipb-xen.list for prod and hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:06:52 -0400

sipb-xen-base (8.20) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:51:11 -0400

sipb-xen-base (8.19) hardy; urgency=low

  * depend on invirt-config, which is provided by xvm-devconfig
    and xvm-prodconfig.

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:54 +0000

sipb-xen-base (8.18) unstable; urgency=low

  * Use production k5login
  * Include openafs component

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:37:01 -0400

sipb-xen-base (8.17) unstable; urgency=low

  * removed the `mako` program since python-mako already includes a
    mako-render

 -- Yang Zhang <y_z@mit.edu>  Wed, 13 Aug 2008 01:45:26 -0400

sipb-xen-base (8.16) unstable; urgency=low

  * added `mako` program for processing templates in invirt packages

 -- Yang Zhang <y_z@mit.edu>  Tue, 12 Aug 2008 16:00:43 -0400

sipb-xen-base (8.15) unstable; urgency=low

  * put invirt-getconf in /usr/bin

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 21:58:36 -0400

sipb-xen-base (8.14) unstable; urgency=low

  * using correct default paths in invirt-getconf
  * fixed os.rename import bug

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:29:56 -0400

sipb-xen-base (8.13) unstable; urgency=low

  * fix an error message

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 23:04:07 -0400

sipb-xen-base (8.12) unstable; urgency=low

  [ Greg Price ]
  * add --ls and some convenience features to invirt-getconf:
    formatting composite nodes as yaml, allowing the root
  * fix bug in late-import of yaml in invirt.config
  * use yaml.CSafeDumper and yaml.CSafeLoader everywhere
  
  [ Yang Zhang ]
  * added shared lock around cache-reading transaction

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 22:11:15 -0400

sipb-xen-base (8.11) unstable; urgency=low

  * sped up invirt.config module load time by rearranging imports
  * no longer removing the lock file

 -- Yang Zhang <y_z@mit.edu>  Wed, 30 Jul 2008 21:55:23 -0400

sipb-xen-base (8.10) unstable; urgency=low

  * added file locking around cache

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 22:35:25 -0400

sipb-xen-base (8.9) unstable; urgency=low

  * moved more generic code into `common` package
  * silently fail if cache fails
  * load the configuration on module load
  * produce a struct-based representation of the configuration
  * allowing full exception messages for OSErrors (default behavior)
  * added some dependencies specs

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 01:03:16 -0400

sipb-xen-base (8.8) unstable; urgency=low

  * added timestamp-based JSON caching of configuration for faster loading
  * exposed (more) options to command-line frontend
  * improved error messages/handling/help
  * removed all python 2.5-isms
  * reformatted to fit project style conventions

 -- Yang Zhang <y_z@mit.edu>  Mon, 28 Jul 2008 12:25:03 -0400

sipb-xen-base (8.7) unstable; urgency=low

  * back to 2.4 compatibility

 -- Greg Price <price@mit.edu>  Mon, 28 Jul 2008 07:44:27 -0400

sipb-xen-base (8.6) unstable; urgency=low

  * switching to python 2.5 only
  * added y_z to .k5login

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 20:23:54 -0400

sipb-xen-base (8.5) unstable; urgency=low

  * using python 2.5
  * initial working version of invirt-getconf that reads & navigates YAML

 -- Yang Zhang <y_z@linerva.mit.edu>  Sun, 27 Jul 2008 20:12:28 -0400

sipb-xen-base (8.4) unstable; urgency=low

  [ Greg Price ]
  * begin a Python package 'invirt'

  [ Yang Zhang ]
  * added invirt-getconf to read configuration files

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 19:10:10 -0400

sipb-xen-base (8.3) unstable; urgency=low

  * add invirt-reload to regenerate and reload configs

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:35:42 -0400

sipb-xen-base (8.2) unstable; urgency=low

  * leave out debathena-system so we get only the packages we ask for

 -- Greg Price <price@mit.edu>  Sun, 20 Jul 2008 13:58:52 -0400

sipb-xen-base (8.1) unstable; urgency=low

  * include debathena to make stuff like kerberos config easier

 -- Greg Price <price@mit.edu>  Sat, 19 Jul 2008 23:16:47 -0400

sipb-xen-base (8) unstable; urgency=low

  * update .k5login to match black-mesa

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 20:28:28 -0400

sipb-xen-base (7) unstable; urgency=low

  * include backports.org
  * sources.list.d doesn't actually need a .sources.list, just .list



=== packages/invirt-host-master/debian/control ===
Source: invirt-host-master
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.8.0

Package: invirt-host-master
Architecture: all
Description: Master metapackage for Invirt hosts
 This package depends on everything an Invirt host needs.
Depends: invirt-xen-config,
 invirt-console-host,
 invirt-remote-host,
 sipb-xen-base,
 sipb-xen-autoinstaller,
 sipb-xen-dhcp,
 sipb-xen-vnc-server,
 debathena-kerberos-config,
 debathena-ssh-server-config,
 screen,

=== packages/invirt-remote-server/debian/control ===
Source: invirt-remote-server
Section: servers
Priority: important
Maintainer: invirt@mit.edu
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: invirt-remote-server
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, debathena-kerberos-config, fuse-utils, openssh-server, python-routefs, invirt-database, sipb-xen-base, remctl-server, remctl-client
Description: Invirt remote-control server
 This package should be installed to set up the remote-control server.

=== packages/sipb-xen-base/debian/control ===
Source: sipb-xen-base
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), python-all-dev, python-support, python-setuptools, python-debian, python-apt
Standards-Version: 3.8.0

Package: sipb-xen-base
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-json (>= 3.4-2), python-yaml (>= 3.05), python-mako (>= 0.2.2), invirt-config
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Base configuration required for all SIPB xen servers
 This package includes apt configuration, .k5login and other files that
 should be synchronized among all our servers.
 Installing this on a non-sipb-xen machine would be very anti-social.
